#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - typelib-1_0-gdkpixbuf-2_0 preinstallation
#
# Creation   :  2018-06-26 holbru
# Last update:  $Id: preinstall.sh 68894 2019-10-09 19:49:59Z hbfl $
#
# Copyright (c) 2018-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=typelib-1_0-gdkpixbuf-2_0

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check 'libgdk-pixbuf-dev' 2.6.1)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/libgdk-pixbuf-dev-files.txt ]
    then
        sed -i '/GdkPixbuf-2.0.typelib/d' /etc/filelist.d/libgdk-pixbuf-dev-file
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
